package org.starter.learning.controller;

import org.springframework.web.bind.annotation.*;
import org.starter.learning.pojo.User;
import org.starter.learning.pojo.Result;

@RestController
@RequestMapping("/user")
public class UserController {
    @GetMapping
    public Result getAllUser() {
        System.out.println("Execute getAll method OK!");
        return new Result(200, "execute success", "getAll");
    }

    @GetMapping("/{id}")
    public Result getById(@PathVariable Integer id){
        System.out.println("Execute getById method OK! ID = " + id);
        return new Result(200, "execute success", "getById");
    }
    
    @PostMapping
    public Result save(@RequestBody User user){
        System.out.println("Execute save method OK! user = " + user.toString());
        return new Result(200, "execute success", "save");
    }
    @PutMapping
    public Result modify(@RequestBody User user){
        System.out.println("Execute modify method OK! user = " + user.toString());
        return new Result(200, "execute success", "modify");
    }
    @DeleteMapping("/{id}")
    public Result deleteById(@PathVariable Integer id){
        System.out.println("Execute getAllUser method OK! id = " + id);
        return new Result(200, "execute success", "deleteById");
    }
}
