package org.starter.learning.dao.impl;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;
import org.starter.learning.dao.BookDao;
import org.starter.learning.pojo.Book;

import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import java.util.ArrayList;
import java.util.List;

@Component("bookDao")
@Scope("singleton")
public class BookDaoImpl implements BookDao {
    public BookDaoImpl() {
        System.out.println("BookDao object created!");
    }
    @Override
    public List<Book> getBooks() {
        List<Book> bookList = new ArrayList<>();
        bookList.add(new Book("112233", "Hello World", "asm"));
        bookList.add(new Book("112234", "Hello World2", "asm2"));
        bookList.add(new Book("112235", "Hello World3", "asm3"));
        return  bookList;
    }

    // Bean创建后执行的方法
    @PostConstruct
    public void init() {
        System.out.println("After create...");
    }

    // Bean销毁前执行的方法
    @PreDestroy
    public void destroy() {
        System.out.println("Before destroy...");
    }
}
