package org.starter.learning.factory;

import org.springframework.beans.factory.FactoryBean;
import org.starter.learning.dao.BookDao;
import org.starter.learning.dao.impl.BookDaoImpl;

// FactoryBean的泛型，你的工厂需要生产什么类型的对象就填什么类型
public class BookDaoFactoryBean implements FactoryBean<BookDao> {

    // 代替原始工厂中创建实例对象的方法，这个就是统一的对象创建方法名
    @Override
    public BookDao getObject() throws Exception {
        return new BookDaoImpl();
    }

    // 这个方法返回的是需要创建的对象的类型，直接将对象的class字节码返回即可
    @Override
    public Class<?> getObjectType() {
        return BookDao.class;
    }

    @Override
    public boolean isSingleton() {
        return false;
    }
}
